name: newt-secondary
services:
  newt:
    image: fosrl/newt:latest
    container_name: newt-secondary
    restart: unless-stopped
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
    environment:
      - PANGOLIN_ENDPOINT=https://pangolin.prestonhunter.space
      - NEWT_ID=q5qn8bz6crzr2u4
      - NEWT_SECRET=s964x3itblsysrf5y68w9ubme25zdwd4kmhasgrae9ctvxxz
      - DOCKER_SOCKET=/var/run/docker.sock
    networks:
      - npm_default
      - 2fauth_default

networks:
  npm_default:
    external: true
  2fauth_default:
    external: true
